<template>
  <section class="call-to-action cont" 
           :style="`--overlayColor: ${overlayColor}; background-image: url(${image});`">
    <RLink class="container" :to="href">
      <h1>{{ profile }}</h1>
      <div class="sub">
        <h3>{{ description }}</h3>
      </div>
    </RLink>
  </section>
</template>

<script>
import RLink from '@/components/RLink.vue';

export default {
  components: {
    RLink
  },
  props: ['profile', 'description', 'href', 'image', 'overlayColor']
};
</script>

<style lang="scss" scoped>
.call-to-action {
  display: flex;
  flex-direction: column;
  align-items: center;

  flex-grow: 1;
  flex-basis: 25em;

  min-height: 35em;
}

.container {
  height: 100%;

  display: flex;
  flex-flow: column nowrap;

  justify-content: space-evenly;
  align-items: space-between;

  z-index: 1;
}

.container > h1,
.container > .sub {
  color: white;
}

.sub {
  display: grid;

  grid-template-columns: 0.75em 1fr 0.75em;
  grid-template-rows: 1fr;
}

h3 {
  grid-column: 2/3;
}

.cont {
  --overlayColor: blue;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;

  &::after {
    background-color: var(--overlayColor);
  }
}

.cont:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.6;
  z-index: 0;
}
</style>
